/*-
 * Copyright (c) 2020-2021 Carsten Sonne Larsen <cs@innolan.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

#include "text.h"

// Settings
const char *prefsFile = "ENV:timekeeper.prefs";
const char *persistentPrefsFile = "ENVARC:timekeeper.prefs";
const char *prefsFileSearch = "Searching for preference in %s";
const char *prefsFileFound = "Found preference file";
const char *prefsFileNotFound = "Preference file not found";
const char *prefsFileSave = "Saving preferences in %s";
const char *fileOpenError = "Could not open preference file";
const char *fileSaveError = "Could not save preference file";
const char *fileReadError = "Error while reading file";
const char *fileWriteError = "Error while writing file";
const char *unknownSetting = "Found unknown setting in preference file: %s";
const char *foundSetting = "Found %s in preference file";
const char *foundWbSetting = "Found tooltype from icon: %s";
const char *foundCliSetting = "Got %s from CLI";
const char *integerError = "Value should be an integer: %s";
const char *yesNoError = "Value should be YES or NO, 1 or 0: %s";
const char *applyDefaultSettings = "Applying default values";
const char *applyFileSettings = "Applying values from preference file";
const char *applyCliSettings = "Applying values from CLI";
const char *applyWbSettings = "Applying values from tooltypes";
const char *effectiveSettings = "Listing runtime values";
const char *settingChangedLong = "%s changed: %ld -> %ld";
const char *settingChangedString = "%s changed: %s -> %s";
const char *settingSetLong = "%s is already set to %ld";
const char *settingSetString = "%s is already set to %s";
const char *settingValueLong = "%s=%ld";
const char *settingValueString = "%s=%s";
const char *saveValueLong = "%s=%ld\n";
const char *saveValueString = "%s=%s\n";
const char *noValueString = "NO";
const char *yesValueString = "YES";
const char *falseValueString = "TRUE";
const char *trueValueString = "FALSE";

// Common text
const char *TextEmpty = "Empty";

// Error / debug messages
const char *TextPortInitError = "%s message port failed to initialize";
const char *TextInitComponent = "Initializing %s";
const char *TextPortCreated = "%s message port created";
const char *TextPortCleaned = "%s message port cleared";
const char *TextPortNotFound = "%s message port not found";

// ARexx / TimeCtrl
const char *TextSyncOn = "Synchronization is active";
const char *TextSyncOff = "Synchronization is deactivated";
const char *TextSyncAlreadyOn = "Synchronization is already active";
const char *TextSyncAlreadyOff = "Synchronization is already deactivated";
const char *TextNoResponses = "No responses from NTP server";
const char *TextNoClockAdjust = "Clock has not been adjusted";
